import BaseComponent from 'primevue/basecomponent';
import InlineMessageStyle from 'primevue/inlinemessage/style';
import WecgIcon from 'primevue/wecgicon';
import { resolveComponent, openBlock, createElementBlock, mergeProps, renderSlot, createBlock, createElementVNode } from 'vue';

var script$1 = {
  name: 'BaseInlineMessage',
  "extends": BaseComponent,
  props: {
    severity: {
      type: String,
      "default": 'primary'
    },
    variant: {
      type: String,
      "default": 'error'
    },
    icon: {
      type: String,
      "default": undefined
    }
  },
  style: InlineMessageStyle,
  provide: function provide() {
    return {
      $parentInstance: this
    };
  }
};

var script = {
  name: 'InlineMessage',
  "extends": script$1,
  inheritAttrs: false,
  timeout: null,
  data: function data() {
    return {
      visible: true
    };
  },
  mounted: function mounted() {
    var _this = this;
    if (!this.sticky) {
      setTimeout(function () {
        _this.visible = false;
      }, this.life);
    }
  },
  methods: {
    getPTOptions: function getPTOptions(key) {
      var _ptm = key === 'root' ? this.ptmi : this.ptm;
      return _ptm(key);
    }
  },
  computed: {
    iconCalculation: function iconCalculation() {
      return {
        info: 'info',
        success: 'check',
        warn: 'trianglewarning',
        danger: 'error',
        error: 'error',
        help: 'help',
        base: 'bell'
      }[this.variant];
    }
  },
  components: {
    WecgIcon: WecgIcon
  }
};

function render(_ctx, _cache, $props, $setup, $data, $options) {
  var _component_WecgIcon = resolveComponent("WecgIcon");
  return openBlock(), createElementBlock("div", mergeProps({
    role: "alert",
    "aria-live": "assertive",
    "aria-atomic": "true",
    "class": _ctx.cx('root')
  }, _ctx.ptmi('root')), [renderSlot(_ctx.$slots, "icon", {}, function () {
    return [_ctx.icon ? (openBlock(), createBlock(_component_WecgIcon, mergeProps({
      key: 0,
      icon: _ctx.icon,
      "class": _ctx.cx('icon')
    }, $options.getPTOptions('icon'), {
      label: _ctx.icon,
      variant: _ctx.variant
    }), null, 16, ["icon", "class", "label", "variant"])) : (openBlock(), createBlock(_component_WecgIcon, mergeProps({
      key: 1,
      icon: $options.iconCalculation,
      "class": _ctx.cx('icon')
    }, $options.getPTOptions('icon'), {
      label: $options.iconCalculation,
      variant: _ctx.variant
    }), null, 16, ["icon", "class", "label", "variant"]))];
  }), createElementVNode("span", mergeProps({
    "class": _ctx.cx('text')
  }, _ctx.ptm('text')), [renderSlot(_ctx.$slots, "default")], 16)], 16);
}

script.render = render;

export { script as default };
