this.primevue = this.primevue || {};
this.primevue.inlinemessage = (function (BaseComponent, InlineMessageStyle, WecgIcon, vue) {
    'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var BaseComponent__default = /*#__PURE__*/_interopDefaultLegacy(BaseComponent);
    var InlineMessageStyle__default = /*#__PURE__*/_interopDefaultLegacy(InlineMessageStyle);
    var WecgIcon__default = /*#__PURE__*/_interopDefaultLegacy(WecgIcon);

    var script$1 = {
      name: 'BaseInlineMessage',
      "extends": BaseComponent__default["default"],
      props: {
        severity: {
          type: String,
          "default": 'primary'
        },
        variant: {
          type: String,
          "default": 'error'
        },
        icon: {
          type: String,
          "default": undefined
        }
      },
      style: InlineMessageStyle__default["default"],
      provide: function provide() {
        return {
          $parentInstance: this
        };
      }
    };

    var script = {
      name: 'InlineMessage',
      "extends": script$1,
      inheritAttrs: false,
      timeout: null,
      data: function data() {
        return {
          visible: true
        };
      },
      mounted: function mounted() {
        var _this = this;
        if (!this.sticky) {
          setTimeout(function () {
            _this.visible = false;
          }, this.life);
        }
      },
      methods: {
        getPTOptions: function getPTOptions(key) {
          var _ptm = key === 'root' ? this.ptmi : this.ptm;
          return _ptm(key);
        }
      },
      computed: {
        iconCalculation: function iconCalculation() {
          return {
            info: 'info',
            success: 'check',
            warn: 'trianglewarning',
            danger: 'error',
            error: 'error',
            help: 'help',
            base: 'bell'
          }[this.variant];
        }
      },
      components: {
        WecgIcon: WecgIcon__default["default"]
      }
    };

    function render(_ctx, _cache, $props, $setup, $data, $options) {
      var _component_WecgIcon = vue.resolveComponent("WecgIcon");
      return vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
        role: "alert",
        "aria-live": "assertive",
        "aria-atomic": "true",
        "class": _ctx.cx('root')
      }, _ctx.ptmi('root')), [vue.renderSlot(_ctx.$slots, "icon", {}, function () {
        return [_ctx.icon ? (vue.openBlock(), vue.createBlock(_component_WecgIcon, vue.mergeProps({
          key: 0,
          icon: _ctx.icon,
          "class": _ctx.cx('icon')
        }, $options.getPTOptions('icon'), {
          label: _ctx.icon,
          variant: _ctx.variant
        }), null, 16, ["icon", "class", "label", "variant"])) : (vue.openBlock(), vue.createBlock(_component_WecgIcon, vue.mergeProps({
          key: 1,
          icon: $options.iconCalculation,
          "class": _ctx.cx('icon')
        }, $options.getPTOptions('icon'), {
          label: $options.iconCalculation,
          variant: _ctx.variant
        }), null, 16, ["icon", "class", "label", "variant"]))];
      }), vue.createElementVNode("span", vue.mergeProps({
        "class": _ctx.cx('text')
      }, _ctx.ptm('text')), [vue.renderSlot(_ctx.$slots, "default")], 16)], 16);
    }

    script.render = render;

    return script;

})(primevue.basecomponent, primevue.inlinemessage.style, primevue.wecgicon, Vue);
